=== src/test/run-make/issue-28766/Makefile ===
-include ../tools.mk

all:
	$(RUSTC) -O foo.rs
	$(RUSTC) -O -L $(TMPDIR) main.rs
