=== debian/changelog ===
rustc (1.24.1+dfsg1-1~deb9u2+rpi1) stretch-staging; urgency=medium

  [changes brought forward from 1.15.1+dfsg1-1~exp3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 15 Mar 2017 10:16:18 +0000]
  * Build for armv6.
  [changes introduced in 1.18.0+dfsg1-4+rpi1 by Peter Michael Green]
  * Disable testsuite.
  [changes introduced in 1.24.1+dfsg1-1+rpi1 by Peter Michael Green]
  * Remove -march=native from src/binaryen/CMakeLists.txt

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 16 Aug 2018 12:03:30 +0000

rustc (1.24.1+dfsg1-1~deb9u2) stretch; urgency=medium

  * Add Build-Depends on rustc [!amd64] to prevent buildds from attempting
    further builds, further supported architectures need to be cross-compiled
    (Closes: #903118)

 -- Moritz Mühlenhoff <jmm@debian.org>  Sun, 08 Jul 2018 21:39:35 +0200

rustc (1.24.1+dfsg1-1~deb9u1) stretch; urgency=medium

  * Build for stretch to be used by Firefox ESR60
  * Enable stage0 build
  * Disable -doc package, requires packages not found in stretch and
    docs are available online anyway

 -- Moritz Mühlenhoff <jmm@debian.org>  Sun, 01 Jul 2018 13:42:52 +0200

rustc (1.24.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Raise allowed-test-failures to 160 on some non-release arches: powerpc,
    powerpcspe, sparc64, x32.

 -- Ximin Luo <infinity0@debian.org>  Wed, 07 Mar 2018 20:07:27 +0100

rustc (1.24.1+dfsg1-1~exp2) experimental; urgency=medium

  * Steal some patches from Fedora to fix some test failures.
  * Update debian/patches/u-make-tests-work-without-rpath.patch to try to fix
    some more test failures.

 -- Ximin Luo <infinity0@debian.org>  Mon, 05 Mar 2018 16:25:26 +0100

rustc (1.24.1+dfsg1-1~exp1) experimental; urgency=medium

  * More sparc64 CABI fixes. (Closes: #888757)
  * New upstream release.
  * Note that s390x baseline was updated in the meantime. (Closes: #851150)
  * Include Debian-specific patch to disable kernel helpers on armel.
    (Closes: #891902)
  * Include missing build-dependencies for pkg.rustc.dlstage0 build profile.
    (Closes: #891022)
  * Add architecture.mk mapping for armel => armv5te-unknown-linux-gnueabi.
    (Closes: #891913)
  * Enable debuginfo-only-std on armel as well. (Closes: #891961)
  * Backport upstream patch to support powerpcspe. (Closes: #891542)
  * Disable full-bootstrap again to work around upstream #48319.

 -- Ximin Luo <infinity0@debian.org>  Sat, 03 Mar 2018 14:23:29 +0100

rustc (1.23.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Fri, 19 Jan 2018 11:49:31 +0100

rustc (1.23.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Sun, 14 Jan 2018 00:08:17 +0100

rustc (1.22.1+dfsg1-2) unstable; urgency=medium

  * Fix B-D rustc version so this package can be built using itself.

 -- Ximin Luo <infinity0@debian.org>  Mon, 01 Jan 2018 14:27:19 +0100

rustc (1.22.1+dfsg1-1) unstable; urgency=medium

  [ Ximin Luo ]
  * Remove unimportant files that autoload remote resources from rust-src.
  * Fix more symlinks in rust-doc.
  * On armhf, only generate debuginfo for libstd and not the compiler itself.
    This works around buildds running out of memory, see upstream #45854.
  * Update to latest Standards-Version; no changes required.

  [ Chris Coulson ]
  * Fix some test failures that occur because we build rust without an rpath.

 -- Ximin Luo <infinity0@debian.org>  Mon, 18 Dec 2017 19:46:25 +0100
