=== debian/rules ===
--- 
+++ 
@@ -32,12 +32,6 @@
 # gcc-6.  See bug #811573.
 CFLAGS += -Wno-misleading-indentation
 
-# Enable large file support in LLVM for 32-bit architectures
-ifeq (32,$(DEB_HOST_ARCH_BITS))
-CFLAGS += -D_FILE_OFFSET_BITS=64
-CXXFLAGS += -D_FILE_OFFSET_BITS=64
-endif
-
 # Release type (one of beta, stable or nightly)
 RELEASE_CHANNEL := stable
 # See also ./build-preview-dsc.sh for a script that builds a beta/nightly .dsc
@@ -46,6 +40,16 @@
 # to see if we already know what fix to make.
 
 DEB_DESTDIR := $(CURDIR)/debian/tmp
+
+# Use system LLVM (comment out to use vendored LLVM)
+LLVM_VERSION = 4.0
+OLD_LLVM_VERSION = 3.9
+# Make it easier to test against a custom LLVM
+ifneq (,$(LLVM_DESTDIR))
+LLVM_LIBRARY_PATH := $(LLVM_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(LLVM_DESTDIR)/usr/lib
+LD_LIBRARY_PATH := $(if $(LD_LIBRARY_PATH),$(LD_LIBRARY_PATH):$(LLVM_LIBRARY_PATH),$(LLVM_LIBRARY_PATH))
+export LD_LIBRARY_PATH
+endif
 
 RUSTBUILD = RUST_BACKTRACE=1 ./x.py
 RUSTBUILD_FLAGS = --config debian/config.toml -v --on-fail env
@@ -73,7 +77,6 @@
 PRECONFIGURE_CHECK = :
 HAVE_BINARY_TARBALL := $(shell ls -1 stage0/*/*$(DEB_HOST_RUST_TYPE)* 2>/dev/null | wc -l)
 DOWNLOAD_BOOTSTRAP := false
-ENABLE_LOCAL_RUST := 0
 # allow not using the binary tarball although it exists
 #ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 powerpc ppc64el s390x))
 #  HAVE_BINARY_TARBALL := 0
@@ -87,7 +90,6 @@
     # Case A-1: the builder did not select the "pkg.rustc.dlstage0" build profile.
     # In this case, we use the distro's rustc - either the previous or current version.
     ifeq (,$(findstring pkg.rustc.dlstage0,$(DEB_BUILD_PROFILES)))
-        ENABLE_LOCAL_RUST := 1
         # Make it easier to test against a custom rustc
         ifneq (,$(RUST_DESTDIR))
         RUST_LIBRARY_PATH := $(RUST_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(RUST_DESTDIR)/usr/lib
@@ -127,13 +129,6 @@
   MAKE_OPTIMISATIONS := false
 endif
 
-BUILD_DEBUGINFO := true
-ifeq (32,$(DEB_BUILD_ARCH_BITS))
-# Building with no debuginfo seems to be the only way to get a
-# successful build on 32-bit build machines
-  BUILD_DEBUGINFO := false
-endif
-
 # Build products or non-source files in src/, that shouldn't go in rust-src
 SRC_CLEAN = src/rt/hoedown/src/html_blocks.c \
 	src/bootstrap/bootstrap.pyc \
@@ -162,11 +157,12 @@
 		-DRELEASE_CHANNEL="$(RELEASE_CHANNEL)" \
 		-DBUILD_DOCS="$(BUILD_DOCS)" \
 		-DMAKE_OPTIMISATIONS="$(MAKE_OPTIMISATIONS)" \
+		-DLLVM_DESTDIR="$(LLVM_DESTDIR)" \
+		-DLLVM_VERSION="$(LLVM_VERSION)" \
 		-DRUST_DESTDIR="$(RUST_DESTDIR)" \
-		-DBUILD_DEBUGINFO="$(BUILD_DEBUGINFO)" \
-		-DENABLE_LOCAL_RUST="$(ENABLE_LOCAL_RUST)" \
 		"$<" > "$@"
-	! $(DOWNLOAD_BOOTSTRAP) || sed -i -e '/^rustc = /d' -e '/^cargo = /d' "$@"
+	if $(DOWNLOAD_BOOTSTRAP) || [ $(HAVE_BINARY_TARBALL) != 0 ]; \
+	  then sed -i -e '/^rustc = /d' -e '/^cargo = /d' "$@"; fi
 	# Work around armhf issue: https://github.com/rust-lang/rust/issues/45854
 	[ $(DEB_BUILD_ARCH) != armhf -a \
 	  $(DEB_BUILD_ARCH) != armel ] || sed -i -e '/^debuginfo-only-std = /d' "$@"
@@ -176,13 +172,11 @@
 		"$<" > "$@"
 
 override_dh_auto_configure: debian/config.toml
+	# fail the build if we have any instances of OLD_LLVM_VERSION in debian, except for debian/changelog
+	! grep --color=always -i 'll...\?$(subst .,\.,$(OLD_LLVM_VERSION))' --exclude=changelog -R debian
 	$(PRECONFIGURE_CHECK)
 	if [ -d stage0 ]; then mkdir -p build && ln -sfT ../stage0 build/cache; fi
 	# work around #842634
 	if test $$(grep "127.0.0.1\s*localhost" /etc/hosts | wc -l) -gt 1; then \
 	  debian/ensure-patch -N debian/patches/d-host-duplicates.patch; fi
 	# We patched mdbook so have to rm the checksums
-	debian/prune-checksums src/vendor/mdbook/.cargo-checksum.json
-	# Unfortunately upstream uses a duplicate copy of libbacktrace and wants to
-	# compile it again for rust-installer, see #43449
-	ln -rsf src/libbacktrace -t src/vendor/backtrace-sys/src/
